
body {
    margin: 0;
    font-family: sans-serif;
    background: #fffced;
    scroll-behavior: auto;
}

/* layout */
.layout {
    display: flex;
}

/* SIDEBAR */
.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    width: 220px;
    height: 100vh;
    padding: 20px;
    background: linear-gradient(145deg, #fffced, #e6e6e6);
    box-shadow:
            8px 0 20px #d1d1d1,
            -8px 0 20px #ffffff;
    border-radius: 50px;
}

/* logo */
.logo {
    margin-bottom: 30px;
}

/* menu links */
.sidebar nav {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.sidebar a {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    color: #333;
    padding: 12px;
    border-radius: 20px;
    transition: 0.2s;
    border: 1px solid white;
    background: linear-gradient(145deg, #fffced, #e6e6e6);
    box-shadow:
            2px 2px 10px #737373,
            inset -4px -4px 12px #ffffff;
}

/* aktiv knap */
.sidebar a.active {
    background: #0a5043;
    color: white;
    box-shadow:
            8px 8px 10px #737373,
            inset -4px -4px 12px #ffffff;
    border: 1px solid white;
}

/* CONTENT */
.content {
    flex: 1;
    margin-left: 260px;
    padding: 0;
}

/* almindelige sektioner */
section {
    margin-bottom: 200px;
    padding-top: 40px;
    scroll-margin-top: 80px;
}

/* STARTSIDE */
#startside.startbillede {
    position: relative;
    height: 100vh;
    min-height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 200px;
    padding-top: 0;
    scroll-margin-top: 0;
}

/* Baggrund */
.start-bg {
    position: absolute;
    inset: 0;
    background-image: url("../images/profilbaggrund.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 1;
}


/* Forgrund */
.start-forgrund {
    position: absolute;
    inset: 0;
    background-image: url("../images/oskarbaggrund.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transform: translateY(0);
    opacity: 1;
    z-index: 2;
    will-change: transform, opacity;
}

/* Tekst ovenpå */
.start-content {
    position: relative;
    z-index: 3;
    color: white;
    text-align: center;
    padding: 20px;
}

/* cards */
.cards {
    display: flex;
    gap: 20px;
    margin-top: 20px;
}

.card {
    background: linear-gradient(145deg, #ffffff, #e6e6e6);
    padding: 20px;
    border-radius: 20px;
    width: 150px;
    box-shadow:
            8px 8px 16px #d1d1d1,
            -8px -8px 16px #ffffff;
}

/* farver */
.card.grøn { border-top: 5px solid #0a5043; }
.card.pink { border-top: 5px solid #921550; }
.card.gul { border-top: 5px solid #c18036; }